xine-lib: xine-lib-1.2.12/src/demuxers/demux_matroska-chapters.c File Reference

xine-lib 1.2.12

Macros | Functions
demux_matroska-chapters.c File Reference
`#include <xine/xine_internal.h>`
`#include <xine/xineutils.h>`
`#include <xine/demux.h>`
`#include "ebml.h"`
`#include "matroska.h"`
`#include "demux_matroska.h"`

## Macros
#define | LOG_MODULE "demux_matroska_chapters"
#define | LOG_VERBOSE

## Functions
static int | parse_chapter_display (demux_matroska_t *this, matroska_chapter_t *chap, int level)
static int | parse_chapter_atom (demux_matroska_t *this, matroska_chapter_t *chap, int level)
static void | free_chapter (matroska_chapter_t *chap)
static int | parse_edition_entry (demux_matroska_t *this, matroska_edition_t *ed)
static void | free_edition (matroska_edition_t *ed)
int | matroska_parse_chapters (demux_matroska_t *this)
void | matroska_free_editions (demux_matroska_t *this)
int | matroska_get_chapter (demux_matroska_t *this, uint64_t tc, matroska_edition_t **ed)

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "demux_matroska_chapters"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## Function Documentation

## ◆ free_chapter()

static void free_chapter | ( | matroska_chapter_t * | chap | ) |
| static

References matroska_chapter_t::country, matroska_chapter_t::language, and matroska_chapter_t::title.

Referenced by free_edition(), and parse_edition_entry().

## ◆ free_edition()

static void free_edition | ( | matroska_edition_t * | ed | ) |
| static

References matroska_edition_t::chapters, free_chapter(), and matroska_edition_t::num_chapters.

Referenced by matroska_free_editions(), and matroska_parse_chapters().

## ◆ matroska_free_editions()

void matroska_free_editions | ( | demux_matroska_t * | this | ) |

References free_edition().

Referenced by demux_matroska_dispose().

## ◆ matroska_get_chapter()

int matroska_get_chapter | ( | demux_matroska_t * | this,
|  | uint64_t | tc,
|  | matroska_edition_t ** | ed
| ) |  |

Referenced by handle_events(), and parse_cluster().

## ◆ matroska_parse_chapters()

int matroska_parse_chapters | ( | demux_matroska_t * | this | ) |

References ebml_get_next_level(), ebml_read_elem_head(), ebml_read_master(), ebml_skip(), free_edition(), ebml_elem_s::id, lprintf, MATROSKA_ID_CH_EDITIONENTRY, NULL, and parse_edition_entry().

Referenced by parse_top_level_head().

## ◆ parse_chapter_atom()

static int parse_chapter_atom | ( | demux_matroska_t * | this,
|  | matroska_chapter_t * | chap,
|  | int | level
| ) |  |
| static

References matroska_chapter_t::country, ebml_get_next_level(), ebml_read_elem_head(), ebml_read_master(), ebml_read_uint(), ebml_skip(), matroska_chapter_t::enabled, matroska_chapter_t::hidden, ebml_elem_s::id, matroska_chapter_t::language, LOG_MODULE, lprintf, MATROSKA_ID_CH_ATOM, MATROSKA_ID_CH_DISPLAY, MATROSKA_ID_CH_ENABLED, MATROSKA_ID_CH_HIDDEN, MATROSKA_ID_CH_TIMEEND, MATROSKA_ID_CH_TIMESTART, MATROSKA_ID_CH_TRACK, MATROSKA_ID_CH_UID, NULL, parse_chapter_display(), matroska_chapter_t::time_end, matroska_chapter_t::time_start, matroska_chapter_t::title, matroska_chapter_t::uid, XINE_VERBOSITY_NONE, and xprintf.

Referenced by parse_edition_entry().

## ◆ parse_chapter_display()

static int parse_chapter_display | ( | demux_matroska_t * | this,
|  | matroska_chapter_t * | chap,
|  | int | level
| ) |  |
| static

References matroska_chapter_t::country, ebml_alloc_read_ascii(), ebml_get_next_level(), ebml_read_elem_head(), ebml_skip(), ebml_elem_s::id, matroska_chapter_t::language, lprintf, MATROSKA_ID_CH_COUNTRY, MATROSKA_ID_CH_LANGUAGE, MATROSKA_ID_CH_STRING, NULL, and matroska_chapter_t::title.

Referenced by parse_chapter_atom().

## ◆ parse_edition_entry()

static int parse_edition_entry | ( | demux_matroska_t * | this,
|  | matroska_edition_t * | ed
| ) |  |
| static

References matroska_edition_t::cap_chapters, matroska_edition_t::chapters, ebml_get_next_level(), ebml_read_elem_head(), ebml_read_master(), ebml_read_uint(), ebml_skip(), matroska_chapter_t::enabled, free_chapter(), matroska_chapter_t::hidden, matroska_edition_t::hidden, ebml_elem_s::id, matroska_edition_t::is_default, matroska_chapter_t::language, LOG_MODULE, lprintf, MATROSKA_ID_CH_ATOM, MATROSKA_ID_CH_ED_DEFAULT, MATROSKA_ID_CH_ED_HIDDEN, MATROSKA_ID_CH_ED_ORDERED, MATROSKA_ID_CH_ED_UID, NULL, matroska_edition_t::num_chapters, matroska_edition_t::ordered, parse_chapter_atom(), matroska_chapter_t::time_end, matroska_chapter_t::time_start, matroska_chapter_t::title, matroska_edition_t::uid, XINE_VERBOSITY_LOG, and xprintf.

Referenced by matroska_parse_chapters().